### DB_ENV->log_cursor

`

###

    #include <db.h>

    int
    DB_ENV->log_cursor(DB_ENV *dbenv, DB_LOGC **cursorp, u_int32_t flags);

### Description: DB_ENV->log_cursor

The DB_ENV->log_cursor method returns a created log cursor.

The DB_ENV->log_cursor method returns a non-zero error value on failure and 0 on success.

### Parameters

cursorp
  The cursorp parameter references memory into which a pointer to the created log cursor is copied.
flags
  The flags parameter is currently unused, and must be set to 0.

### Errors

The DB_ENV->log_cursor method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.